import { request } from '/@/utils/service'
import {UserPageQuery} from "@fast-crud/fast-crud";

export const apiPrefix = '/api/sellers/product/trend/daily/'

export function getCardData(query: UserPageQuery) {
    return request({
        url: '/api/sellers/home/total/',//需要修改
        method: 'GET',
        params: query,
    })
}
export function getLineData(query: UserPageQuery) {
    query['dateRangeType'] = 'D'
    return request({
        url: apiPrefix,
        method: 'GET',
        params: query,
    })
}

export function getLineWeekData(query: UserPageQuery) {
    query['dateRangeType'] = 'W'
    return request({
        url: apiPrefix,
        method: 'GET',
        params: query,
    })
}
export function getLineMonthData(query: UserPageQuery) {
    query['dateRangeType'] = 'M'
    return request({
        url: apiPrefix,
        method: 'GET',
        params: query,
    })
}
export function postCreateTask(body) {
    return request({
        url: '/api/report_manage/summary-tasks/',
        method: 'POST',
        data: body,
    })
}

export function getTasks(query) {
    return request({
        url: '/api/report_manage/summary-tasks/',
        method: 'GET',
        params: query,
    })
}

export  function postDeleteProductLine(body) {
    return request({
        url: '/api/report_manage/summary-tasks/8/delete/',
        method: 'POST',
        data: body,
    })
}

export function getOperationSelect(query) {
    return request({
        url: '/api/system/user-select/',
        method: 'GET',
        params: query,
    })
}
// export function getQuantitySelect(query) {
//     return request({
//         url: '',
//         method: 'get',
//         params: query,
//     })
// }
export function postUpdateTask(body) {
    return request({
        url: `/api/report_manage/summary-tasks/${body.id}/`,
        method: 'POST',
        data: body,
    });
}